Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.util.text
Interface AdvancedMessageFormat.Part

All Known Implementing Classes:
  ChoiceFieldPart, GlyphNameFieldPart, HexFieldPart, IfFieldPart

Enclosing interface:
  AdvancedMessageFormat

public static interface AdvancedMessageFormat.Part

Represents a message template part. This interface is implemented by various variants of the single curly braces pattern ({field}, {field,if,yes,no} etc.).

Method Summary
`boolean` | `isGenerated(java.util.Map params)` Indicates whether there is any content that is generated by this message part.
`void` | `write(java.lang.StringBuffer sb, java.util.Map params)` Writes the formatted part to a string buffer.

Method Detail

### write

    public void write(java.lang.StringBuffer sb,
                      java.util.Map params)

  Writes the formatted part to a string buffer.

  Parameters:
    `sb` - the target string buffer
    `params` - the parameters to work with

### isGenerated

    public boolean isGenerated(java.util.Map params)

  Indicates whether there is any content that is generated by this message part.

  Parameters:
    `params` - the parameters to work with
  Returns:
    true if the part has content

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.